#include <bits/stdc++.h>
#include "code.h"
#define ll long long
#define pb push_back
using namespace std;

ll a[2000][2000];
ll maxi[2000];
ll mini[2000];
ll pojaviomax[2000];
ll pojaviomin[2000];


std::vector<int> Nadji(int N, int K)
{
	vector<int> v;
	for(int i=1;i<=1000;i++){
        mini[i]=INT_MAX;
	}
    

	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            a[i][j]=Pitaj(i,j);
        }
	}
	
	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            if(a[i][j]>maxi[i]){
                maxi[i]=a[i][j];
                pojaviomax[i]=1;
            }
            else if(a[i][j]==maxi[i])pojaviomax[i]++;
        }
	}
	
	for(int j=1;j<=N;j++){
        for(int i=1;i<=N;i++){
            if(a[i][j]<mini[j]){
                mini[j]=a[i][j];
                pojaviomin[j]=1;
            }
            else if(a[i][j]==mini[j])pojaviomin[j]++;
        }
	}

	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            if(pojaviomax[i]==1 && pojaviomin[j]==1 && maxi[i]==a[i][j] && mini[j]==a[i][j]){
                v.pb(i);
                v.pb(j);
                //cout << i <<' ' << j;
                return v;
            }
        }
	}
	v.pb(0);
	v.pb(0);
	return v;
}